[__TOC__]

INTRODUCTION
------------

Provides payment gateway for Drupal 8+ commerce. It is a redirection for
Alphabank of Greece.

By using redirection payments your clients get redirected to the bank and fill
in their credit card data there. No information is stored at the Drupal side.

 * For a full description of the module, visit the project page:
   https://drupal.org/project/commerce_alphabank_redirect

 * To submit bug reports and feature suggestions, or to track changes:
   https://drupal.org/project/issues/commerce_alphabank_redirect

INSTALLATION
------------

 * Install as usual, see https://www.drupal.org/docs/extending-drupal/installing-modules
     for further information.

CONFIGURATION
-------------

 * Go to `Commerce > configuration > Payment > Payment gateways` and add a new
   method. Choose Alphabank from the options provided and fill in the required
   fields which will be given with the bank agreement.

IRIS PAYMENTS CONFIGURATION
---------------------------

 * For Iris payments, the billing profile must include a field for the payer's phone number.
   By default, the module expects this field to be named `field_phone`.
   However, this can be customized using the following alter hook:

```php
/**
 * Implements hook_commerce_alphabank_redirect_billing_phone_field_alter().
 */
function mymodule_commerce_alphabank_redirect_billing_phone_field_alter(&$field_name) {
  // Change the field name to your desired billing phone field.
  $field_name = 'custom_field_phone';
}
```
TESTING CONNECTION
---------------

Go to https://developer.cardlink.gr and create an account. After log in,
create a new application using your demo domain (might even be a local domain
generated by Docker).

For the configuration of the cardlink application you will need the following:
- Model: `Redirect`
- Merchant URL: `YOUR DEMO DOMAIN`
- Business partner: `Nexi`
- Tokenization: `ON`
Installments are not yet supported. Patches are welcomed.

Bank should provide testing endpoints as soon as the bank contract agreement is
signed. You will be asked to provide the following to the bank:

```
Web site URL: https://yourdomain.com
Referrer URL: https://yourdomain.com/commerce_alphabank_redirect/callback
Success URL: https://yourdomain.com/commerce_alphabank_redirect/callback?action=success
Failure URL: https://yourdomain.com/commerce_alphabank_redirect/callback?action=cancel
```
